Bug 10299 - (int171326/int-204601) Current location icon does not indicate accuracy of fix
(int171326/int-204601)
: Current location icon does not indicate accuracy of fix
Status: RESOLVED FIXED
Product: Map
General
: 5.0:(10.2010.19-1)
: All Maemo
: Unspecified normal with 2 votes (vote)
: Harmattan
Assigned To: unassigned
: map-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-05-26 12:07 UTC by Simon Pickering
Modified: 2011-03-21 13:05 UTC (History)
2 users (show)

See Also:


Attachments
Approximate location (312.14 KB, image/png)
2010-06-05 17:30 UTC, Bartosz Taudul
Details
True location (287.78 KB, image/png)
2010-06-05 17:32 UTC, Bartosz Taudul
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Simon Pickering (reporter) maemo.org 2010-05-26 12:07:16 UTC
SOFTWARE VERSION:
10.2010.19-1

EXACT STEPS LEADING TO PROBLEM: 
Open Maps, wait for GPS lock, look at little red marker indicating current
location.

EXPECTED OUTCOME:
Little red marker should have a variable sized halo around it to indicate the
accuracy of the fix.

ACTUAL OUTCOME:
The marker always remains the same, no matter what type of fix you have.

REPRODUCIBILITY:
always

OTHER COMMENTS:
This is actually pretty bad - if you are walking around and want to see where
you are, you have no idea of how sure liblocation is of your location. Last
week I wandered off in the wrong direction because the Maps app told me I was
on a different street. Had I been able to see the uncertainty I wouldn't have
trusted the position and would have checked street names.

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.2.3)
Gecko/20100401 Firefox/3.6.3 (.NET CLR 3.5.30729)
Comment 1 Bartosz Taudul 2010-05-26 17:56:04 UTC
Compare this with location-test-gui, which gives you both an accuracy reading
and a visual representation of it. Also notice that in some cases fix accuracy
may be as good as just knowing the country, which makes the "fix" error in
range of hundreds, if not thousands of kilometers.
Comment 2 Bartosz Taudul 2010-06-05 17:30:08 UTC
Created an attachment (id=2843) [details]
Approximate location

This is my approximate location, as displayed by Maps. Notice that the location
is in fact the centre of the country.
Comment 3 Bartosz Taudul 2010-06-05 17:32:30 UTC
Created an attachment (id=2844) [details]
True location

This is where I truly am. Notice how catastrofically bad the approximate fix
was (off by 400km).
Comment 4 Andre Klapper maemo.org 2011-03-02 15:19:03 UTC
"In Harmattan we display a Halo around your current position if accuracy level
is bigger than 10meters."

Simon, is that sufficient?
Comment 5 Simon Pickering (reporter) maemo.org 2011-03-02 15:58:34 UTC
Do you mean that you get a halo if the accuracy is below some level (10m) and
none if it's above that level, or does the halo change size as your location
accuracy changes?

I'd like to see the halo radius approximately equal to the current mean
accuracy of the location method, or at least a decent approximation to this.
This data is presumably possible to obtain for e.g. cell triangulation, but
perhaps not immediately available unless someone does the work of collating it
- otoh perhaps supl already supplies this, I'd have to check. Certainly it
should be available for the GPS location method. 

While the 10m accuracy halo will give people an idea of whether they have a GPS
fix or not, it would be useful to know how far one can trust things like cell
fixes (or even wifi fixes should such a thing become available in Harmattan),
as the range accuracy for these can vary very widely as one moves from
city->town->village->countryside, with the former still being reasonably useful
while the latter not at all.

Basically I'd like to see something like the feature that Google maps with
location offers (on a PC, Android phone or even N900 with the browser location
plugin enabled). I can give some more specifics if required.

Thanks.
Comment 6 Andre Klapper maemo.org 2011-03-21 11:49:12 UTC
Latest internal comment:
"No halo is shown for accuracy <10m, halo is shown for >10m and <100m."

I lean towards closing this as FIXED in Harmattan if Simon agrees.
Comment 7 Simon Pickering (reporter) maemo.org 2011-03-21 12:51:50 UTC
I guess this will probably be sufficient for most use cases - I'd still prefer
to see an scale-accurate visual representation of the fix accuracy, but the
described behaviour is certainly better than what we had previously.

You could always send me a Harmattan device and I can evaluate it in person ;)

Anyway I'm happy for this bug to be closed, and once we see Harmattan in action
we can revisit if there are still use-case deficiencies in the new improved
functionality.
Comment 8 Andre Klapper maemo.org 2011-03-21 13:04:51 UTC
Thanks :)